> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Recalculate Products

Use this endpoint to recalculate the impacts associated with one or more products from your PIC product library.

### Request body params

| Name        | Type            | Description                                         |
| :---------- | :-------------- | :-------------------------------------------------- |
| `productId` | `Array<string>` | **\[REQUIRED]** List of product IDs to recalculate. |

### Implementation Details

* **Asynchronous/Batch Processing**: The system processes these recalculations in chunks (e.g., batch size of 50).
* **Up-to-Date Check**: The logic checks if the underlying MSI product (if linked) has been updated or deleted. If the MSI product is deleted, the product is marked as up-to-date to skip recalculation.
* **Response**: Returns `{ successIds: string[], failureIds: string[] }`.


## OpenAPI

````yaml api-reference/openapi/french-eco.json POST /products/recalculate
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /products/recalculate:
    post:
      summary: Product Recalculate
      operationId: ProductRecalculate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CorpRepApiProductRecalculate'
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CorpRepApiProductResponseRecalculate'
components:
  schemas:
    CorpRepApiProductRecalculate:
      properties:
        productId:
          items:
            type: string
          type: array
      required:
        - productId
      type: object
      additionalProperties: false
    CorpRepApiProductResponseRecalculate:
      properties:
        successIds:
          items:
            type: string
          type: array
        failureIds:
          items:
            type: string
          type: array
      required:
        - failureIds
        - successIds
      type: object
      additionalProperties: false
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````